pi-vote - Bug / Feature #3176

pivote-circle crasht bei Abstimmung
12 May 2012 00:39 - danilo

Status: Needs Work Start date: 12 May 2012
Priority: Low Due date: 30 April 2013
Assignee: Exception % Done: 0%
Category: Usability Estimated time: 0.00 hour
Target version: PiVote 1.4.0.0

Request Type: Bug Report Affected Users: Voters
Affected Program: Circle

Description

Ich kann nicht abstimmen. Beim Verarbeiten der Stimme (nach dem Verbinden auf den Server) kommt folgender Stacktrace:

Unhandled Exception: System.ArgumentException: Bad vota.

at Pirate.PiVote.Crypto.Ballot..ctor (IEnumerable 'l vota, Pirate.PiVote.Crypto.BaseParameters pa
rameters, Pirate.PiVote.Crypto.Question questionParameters, Emil.GMP.BigInt publicKey, System.Prog
ress progress) [0x00000] in <filename unknown>:0

at Pirate.PiVote.Crypto.VoterEntity.CreateBallot (System.Tuple 4 input, System.ProgressHandler p
rogressHandler) [0x00000] in <filename unknown>:0

at System.Parallel+ParallelWorker 2[System.Tuple 4[System.Collections.Generic.IEnumerable  1[Syst
em.Int32],Pirate.PiVote.Crypto.VotingParameters,Pirate.PiVote.Crypto.Question,Emil.GMP.BigInt],Pir
ate.PiVote.Crypto.Ballot] .Worker () [0x00000] in <filename unknown>:0

at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0
[ERROR] FATAL UNHANDLED EXCEPTION: System.ArgumentException: Bad vota.

at Pirate.PiVote.Crypto.Ballot..ctor (IEnumerable 1l vota, Pirate.PiVote.Crypto.BaseParameters pa
rameters, Pirate.PiVote.Crypto.Question questionParameters, Emil.GMP.BigInt publicKey, System.Prog
ress progress) [0x00000] in <filename unknown>:0

at Pirate.PiVote.Crypto.VoterEntity.CreateBallot (System.Tuple 4 input, System.ProgressHandler p
rogressHandler) [0x00000] in <filename unknown>:0

at System.Parallel+ParallelWorker 2[System.Tuple 4[System.Collections.Generic.IEnumerable  1[Syst
em.Int32],Pirate.PiVote.Crypto.VotingParameters,Pirate.PiVote.Crypto.Question,Emil.GMP.BigInt],Pir
ate.PiVote.Crypto.Ballot] .Worker () [0x00000] in <filename unknown>:0

at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0

Unhandled Exception: System.ArgumentException: Bad vota.

at Pirate.PiVote.Crypto.Ballot..ctor (IEnumerable’'l vota, Pirate.PiVote.Crypto.BaseParameters pa
rameters, Pirate.PiVote.Crypto.Question questionParameters, Emil.GMP.BigInt publicKey, System.Prog
ress progress) [0x00000] in <filename unknown>:0

at Pirate.PiVote.Crypto.VoterEntity.CreateBallot (System.Tuple 4 input, System.ProgressHandler p
rogressHandler) [0x00000] in <filename unknown>:0

at System.Parallel+ParallelWorker 2[System.Tuple 4[System.Collections.Generic.IEnumerable 1[Syst
em.Int32],Pirate.PiVote.Crypto.VotingParameters,Pirate.PiVote.Crypto.Question,Emil.GMP.BigInt],Pir
ate.PiVote.Crypto.Ballot] .Worker () [0x00000] in <filename unknown>:0

at System.Threading.Thread.StartInternal () [0x00000] in <filename unknown>:0

Related issues:
Has duplicate pi-vote - Bug / Feature #4203: System.ArgumentException: Bad vota Closed 10 December 2012

History

#1 - 20 May 2012 19:13 - Exception
- Category set to 89

- Status changed from New to 2

Kann es sein, dass du es irgendwie geschafft hast, keine oder mehr als eine Option anzuwahlen?

#2 - 21 May 2012 14:18 - danilo

Denke nicht. Habe das auch mehrmals ausprobiert und immer nur 1 mal pro Ul-Page geklickt.
<verschwérungsmodus>Vielleicht war einfach meine Meinung zu dieser Abstimmung unerwinscht :P</verschwérungsmodus>

#3 - 28 May 2012 23:22 - Exception
- Status changed from 2 to 4

Ich hab nichts herausgefunden. Das Ganze ist mir ein Ratsel.

#4 - 29 May 2012 01:02 - danilo

OK, mal schauen obs bei der ndchsten Abstimmung wieder klappt...

#5 - 08 December 2012 23:43 - Exception
- Tracker changed from 3 to Bug / Feature
- Status changed from 4 to Needs Work

- Priority changed from High to Normal

#6 - 09 December 2012 00:07 - Exception

- Category set to Usability

- Status changed from Needs Work to Needs Feedback
- Target version set to PiVote 1.3.1.0

- Request Type set to Bug Report

- Affected Program set to All Clients

- Affected Users set to Voters

Bitte melden, falls das Problem wieder auftritt.

#7 - 10 December 2012 20:01 - danilo
- Affected Program changed from All Clients to Circle

Ja, tritt noch auf. Habe versehentlich ein Duplikat erstellt: #4203.
Passiert in der aktuellen Version nur bei Circle, nicht bei Wizard.

Kann man irgendwie Debug Output aktivieren oder so?

#8 - 10 December 2012 20:01 - danilo
- Status changed from Needs Feedback to Needs Work

#9 - 15 December 2012 22:58 - danilo
OS: Arch Linux

Version: 1.3.1.0 (Problem besteht seit mind. 7 Monaten)
Abstimmung: Asylgesetz

#10 - 26 December 2012 23:01 - Exception
- Priority changed from Normal to High
- Target version changed from PiVote 1.3.1.0 to PiVote 1.3.3.0

#11 - 11 January 2013 17:14 - admin
- Due date set to 26 January 2013

Automatically enforce due date for High Priority to 15 days in the future

#12 - 27 January 2013 00:00 - admin
- Due date changed from 26 January 2013 to 29 January 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#13 - 30 January 2013 00:00 - admin
- Due date changed from 29 January 2013 to 01 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#14 - 03 February 2013 18:22 - admin
- Due date changed from 01 February 2013 to 05 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#15 - 06 February 2013 00:00 - admin
- Due date changed from 05 February 2013 to 08 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#16 - 06 February 2013 00:28 - danilo

Problem besteht auch bei der Raumplanungs-Abstimmung nach wie vor. Mit Circle der crash, mit wizard hats geklappt.

Kann ich dir irgendwie weitere Debug-Daten bereitstellen?

#17 - 09 February 2013 00:00 - admin
- Due date changed from 08 February 2013 to 11 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#18 - 12 February 2013 00:00 - admin
- Due date changed from 11 February 2013 to 14 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#19 - 15 February 2013 00:00 - admin
- Due date changed from 14 February 2013 to 17 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#20 - 18 February 2013 00:00 - admin
- Due date changed from 17 February 2013 to 20 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#21 - 21 February 2013 00:00 - admin
- Due date changed from 20 February 2013 to 23 February 2013

Due date reached, automatically increased by 3 days. Please handle this ticket immedialty

#22 - 21 February 2013 22:01 - Exception
- Due date changed from 23 February 2013 to 30 April 2013
- Status changed from Needs Work to Needs Feedback

- Assignee changed from Exception to danilo

Welches System inkl. Version verwendest du?
Werde bei Gelegenheit versuchen das nachzuvollziehen.

#23 - 22 February 2013 11:03 - danilo
- Status changed from Needs Feedback to Needs Work

- Assignee changed from danilo to Exception

Wie in Kommentar 9 geschrieben:
OS: Arch Linux
Version: 1.3.1.0
Abstimmung: u.a. Asylgesetz und Raumplanungsgesetz

#24 - 13 March 2013 01:29 - Exception

Bessere Debug-Funktionen zur n&chsten Version hinzugefiigt.

#25 - 14 March 2013 15:03 - danilo
Gut, danke.

#26 - 25 March 2013 12:56 - Exception
- Target version changed from PiVote 1.3.3.0 to PiVote 1.4.0.0

#27 - 05 March 2014 15:53 - Exception
- Priority changed from High to Low

Keine Ressourcen frei.
